classification
Title: Fix and cleanup test_functools
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: pitrou, python-dev, serhiy.storchaka, zach.ware
Priority: normal Keywords: patch

Created on 2013-02-04 12:29 by serhiy.storchaka, last changed 2013-02-06 08:41 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
test_functools.diff serhiy.storchaka, 2013-02-04 12:29 review
Messages (2)
msg181319 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-02-04 12:29
Since changeset fcfaca024160 (issue12428) subclassing of partial actually is not tested (subclassed partial overwritten in setUp() method). The proposed patch fixes this and some other minor issues and cleanup the code.
msg181476 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-02-05 20:14
New changeset 2a369c32f1f1 by Serhiy Storchaka in branch 'default':
Issue #17122: Fix and cleanup test_functools.py.
http://hg.python.org/cpython/rev/2a369c32f1f1
History
Date User Action Args
2013-02-06 08:41:36serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2013-02-05 20:14:34python-devsetnosy: + python-dev
messages: + msg181476
2013-02-04 12:29:24serhiy.storchakacreate